import { ListOptions, SourceNode, SyncFileSystem } from '@journeyapps/source-utils';
import { VFS } from './VFS';
import { SourceEntry } from './SourceEntry';
/**
 * Serve source files directly.
 *
 * Wrap the fs with PrefixedFileSystem to serve under a prefix.
 */
export declare class SourceVFS implements VFS {
    private fs;
    private scriptDir;
    private scriptFilter;
    /**
     *
     * @param fs - the source FileSystem
     * @param scriptDir - list files in this dir as scripts
     * @param scriptFilter - filter for scripts
     */
    constructor(fs: SyncFileSystem, scriptDir: string, scriptFilter: ListOptions);
    getTargetsFor(source: string): string[] | null;
    info(path: string): SourceEntry | null;
    listFiles(): string[];
    read(path: string): SourceNode | null;
}
