import * as ts from 'typescript';
import { VFS } from './VFS';
import { Schema } from '@journeyapps/parser-schema';
import { SyncFileSystem } from '@journeyapps/source-utils';
export type ExtraLibs = {
    [uri: string]: string;
};
export interface TypeScriptConfig {
    compilerOptions: ts.CompilerOptions;
    /** List of libraries made available, starting with the package name. */
    extraLibs: ExtraLibs;
    /** List of auto imports for globals */
    preloadLibs: string[];
    /** true if a term is blacklisted for global autocomplete */
    globalBlacklist: {
        [term: string]: boolean;
    };
    /** true if a term is excluded for auto-import */
    importExcludeList?: {
        [term: string]: boolean;
    };
    /** true if we support a hacked require implementation for apps. */
    requireHack?: boolean;
    /**
     * Path to built-in TS libs.
     */
    defaultLibLocation?: string;
    createFs(base: SyncFileSystem): {
        fs: VFS;
        getSchema: () => Schema | null;
    };
}
