"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requireContext = exports.loadFile = exports.loadPackage = void 0;
const fs = require("fs");
const path = require("path");
const glob = require("glob");
function loadPackage(name, prefix, context, packageData) {
    var _a, _b;
    let result = {};
    const packagePath = require.resolve(name + '/package.json');
    const filter = context === null || context === void 0 ? void 0 : context.filter;
    const dir = path.join(packagePath, '..');
    let pattern = '**/*.d.ts';
    if (prefix) {
        pattern = `${prefix}/${pattern}`;
    }
    const files = glob.sync(pattern, { cwd: dir });
    for (let file of files) {
        if (filter == null || filter.test(file)) {
            result[`${name}/${file}`] = fs.readFileSync(path.join(dir, file), 'utf-8');
        }
    }
    const packageData2 = JSON.parse(fs.readFileSync(packagePath, 'utf-8'));
    const typings = (_b = (_a = packageData2.appTypings) !== null && _a !== void 0 ? _a : packageData2.typings) !== null && _b !== void 0 ? _b : packageData2.types;
    result[`${name}/package.json`] = JSON.stringify({ name, typings });
    return result;
}
exports.loadPackage = loadPackage;
function loadFile(path, context) {
    return fs.readFileSync(require.resolve(path), 'utf-8');
}
exports.loadFile = loadFile;
const requireContext = function () {
    return null;
};
exports.requireContext = requireContext;
exports.requireContext.context = (path, includeSubfolders, filter) => {
    return {
        path,
        includeSubfolders,
        filter
    };
};
//# sourceMappingURL=loadPackage.js.map